Create TPA
curl --request POST \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/tpas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_issuer_id": 1,
"name": "Acme AB",
"country": "SE",
"organization_number": "5561234567",
"language": "sv"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_issuer_id: 1,
name: 'Acme AB',
country: 'SE',
organization_number: '5561234567',
language: 'sv'
})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/tpas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/tpas"
payload = {
"card_issuer_id": 1,
"name": "Acme AB",
"country": "SE",
"organization_number": "5561234567",
"language": "sv"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/tpas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'card_issuer_id' => 1,
'name' => 'Acme AB',
'country' => 'SE',
'organization_number' => '5561234567',
'language' => 'sv'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 42,
"account_id": 1,
"card_issuer_id": 1,
"name": "Acme AB",
"country": "SE",
"organization_number": "5561234567",
"activated": false,
"signatures_verified": false,
"signed_document_path": null,
"signatures_verified_at": null,
"created_at": "2026-06-08T10:00:00.000000Z",
"updated_at": "2026-06-08T10:00:00.000000Z"
}TPAs
Create TPA
Creates TPA, fetches registry data, generates legal text.
POST
/
accounts
/
{accountId}
/
tpas
Create TPA
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Your account ID
Body
application/json
Response
201 - application/json
TPA created
⌘I

